Bug 961640 - [RFE] Firewalld should allow rules that include subnets
[RFE] Firewalld should allow rules that include subnets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 03:11 EDT by William Brown
Modified: 2014-06-11 22:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 22:28:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-05-10 03:11:09 EDT
Description of problem:

Firewall's often include rules that define allows / blocks based on subnet. For example, I may wish anything on the same subnet as my adapter to access port 80, but not outside of the subnet. On a routed network, I may wish to only allow a seperate subnet to access something, IE allowing a monitoring VLAN access to SNMP for example.

This amounts to two features

1) Create a rule that allows traffic only from the subnet of the adapter to this port in this zone. 

2) Create a rule that allows traffic from a user defined subnet to adapters of this zone. 

The difference being 1 auto-detects the subnet from the adapter, the second is set by the administrator.
Comment 1 Fedora End Of Life 2013-12-21 08:28:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Thomas Woerner 2014-01-02 07:32:22 EST
Please have a look at rich rules. It has source and destination addresses and address ranges in the rules. You can also bind source addresses and address ranges to zones.
Comment 3 William Brown 2014-06-11 22:28:49 EDT
Yes these provide what I need, but in general firewalld is much harder to "achieve" the same as what iptables allows. Commands with lots of -- in them certainly makes typing them out difficult (Fixing that alone would make my life easier!).

Note You need to log in before you can comment on or make changes to this bug.